<?php
  
$form  = new TRACKASIAP_Template();
// echo wp_kses_post( $form->show_header() );

if(!class_exists('WP_List_Table_Helper')){
	
	$tabular_file = TRACKASIAP_CORE_CLASSES.'class.tabular.php';
	if ( file_exists( $tabular_file ) ) {
	   require_once( $tabular_file );
	}
	
}
    
if ( class_exists( 'WP_List_Table_Helper' ) && ! class_exists( 'TRACKASIAP_Location_Table' ) ) {

	class TRACKASIAP_Location_Table extends WP_List_Table_Helper {  public function __construct($tableinfo) {
			parent::__construct( $tableinfo ); }  }

	// Minimal Configuration :)
	global $wpdb;
	$columns   = array( 'location_title' => esc_html__( 'Location', 'wp-trackasia-maps' ),
	                    'location_address' => esc_html__( 'Location Address', 'wp-trackasia-maps' ),
	                    'location_latitude' => esc_html__( 'Latitude', 'wp-trackasia-maps' ),
	                    'location_longitude' => esc_html__( 'Longitude', 'wp-trackasia-maps' ) );
	                    
	$sortable  = array( 'location_title','location_address','location_latitude','location_longitude' );
	$tableinfo = array(
	'table' => $wpdb->prefix.'map_locations',
	'plugin' => 'wp-trackasia-maps', 
	'textdomain' => 'wp-trackasia-maps',
	'singular_label' => 'location',
	'plural_label' => 'locations',
	'admin_listing_page_name' => 'trackasia_manage_location',
	'admin_add_page_name' => 'trackasia_form_location',
	'primary_col' => 'location_id',
	'columns' => $columns,
	'sortable' => $sortable,
	'per_page' => 200,
	'form_id' => 'trackasia_manage_locations',
	'form_class' => 'trackasia_listing_form trackasia_manage_locations',
	'actions' => array( 'edit','delete' ),
	'col_showing_links' => 'location_title',
	'translation' => array(
			'manage_heading'      => esc_html__( 'Manage Locations', 'wp-trackasia-maps' ),
			'add_button'          => esc_html__( 'Add Location', 'wp-trackasia-maps' ),
			'delete_msg'          => esc_html__( 'Location was deleted successfully.', 'wp-trackasia-maps' ),
			'bulk_delete_msg'     => esc_html__( 'Locations were deleted successfully.', 'wp-trackasia-maps' ),
			'insert_msg'          => esc_html__( 'Location was added successfully.', 'wp-trackasia-maps' ),
			'update_msg'          => esc_html__( 'Location was updated successfully.', 'wp-trackasia-maps' ),
			'no_records_found'    => esc_html__( 'No locations were found.', 'wp-trackasia-maps' ),
		),
	);
	return new TRACKASIAP_Location_Table( $tableinfo );

}
?>
