<?php
/**
 * Plugin Overviews.
 * @package Maps
 * @author TrackAsia Code <trackasia>
 **/

?>
<?php 
$form  = new TRACKASIAP_Template();
// echo wp_kses_post( $form->show_header() );

$allowed_html = array( 'a' => array( 'href' => array(), 'class' => array(), 'target' => array() ) );

?>

<div class="trackasia-ui">
<div class="fc-main">
<div class="fc-container">
 <div class="fc-divider">

 <div class="fc-back fc-docs ">
 <div class="fc-12">
            <h4 class="fc-title-blue"><?php esc_html_e('How to Create your First Map?','wp-trackasia-maps');?>  </h4>
              <div class="trackasiap-overview">
                <ol>
                    <li><?php

                    $setting = '<a href="' . esc_url( admin_url( 'admin.php?page=trackasia_manage_settings' ) ) . '" target="_blank">' . esc_html__( 'Plugin Settings', 'wp-trackasia-maps' ) . '</a>';

                    $output_string = sprintf(
                        esc_html__( 'Go to %s page and input the TrackAsia Maps API Key.', 'wp-trackasia-maps' ),
                        wp_kses( $setting, $allowed_html )
                    );

                    echo wp_kses_post( $output_string );

                    ?>
                    </li>

                    <li><?php

                    $add_location = '<a href="' . esc_url( admin_url( 'admin.php?page=trackasia_form_location' ) ) . '" target="_blank">' . esc_html__( 'Add Location', 'wp-trackasia-maps' ) . '</a>';

                    $output_string = sprintf(
                        esc_html__( 'Create a location by using %s page.', 'wp-trackasia-maps' ),
                        wp_kses( $add_location, $allowed_html )
                    );

                    echo wp_kses_post( $output_string );
            
                     ?>
                    </li>
                    
                    <li>

                    <?php 

                    $addmap = '<a href="' . esc_url( admin_url( 'admin.php?page=trackasia_form_map' ) ) . '" target="_blank">' . esc_html__( 'Add Map', 'wp-trackasia-maps' ) . '</a>';

                    $output_string = sprintf(
                        esc_html__( 'Go to %s page, assign locations to the map and setup other details as per your requirements. Save the map.', 'wp-trackasia-maps' ),
                        wp_kses( $addmap, $allowed_html )
                    );

                    echo wp_kses_post( $output_string );

                     ?>
                    </li>
                                                                                
                </ol>
            </div>
            
            <h4 class="fc-title-blue"><?php esc_html_e('How to Display Map in Frontend?','wp-trackasia-maps'); ?>  </h4>
              <div class="trackasiap-overview">
                        
                    <p>
                        <?php 

                        $manage_map = '<a href="' . esc_url( admin_url( 'admin.php?page=trackasia_manage_map' ) ) . '" target="_blank">' . esc_html__( 'Manage Map', 'wp-trackasia-maps' ) . '</a>';

                        $output_string = sprintf(
                            esc_html__( 'Go to %s and copy the shortcode then paste it to any page/post where you want to display map.', 'wp-trackasia-maps' ),
                            wp_kses( $manage_map, $allowed_html )
                        );

                        echo wp_kses_post( $output_string );
                        
                        ?>

                     
                    </p>
                    
              </div>

        
        <p>
            <?php
           
            $support_ticket = '<a href="' . esc_url( 'https://maps-asia.com/lien-he' ) . '" target="_blank">' . esc_html__( 'support ticket', 'wp-trackasia-maps' ) . '</a>';

            $output_string = sprintf(
                esc_html__( "If you need any assistance or if you still see any issue, feel free to create a %s and we'd be happy to help you asap.", 'wp-trackasia-maps' ),
                wp_kses( $support_ticket, $allowed_html )
            );

            echo wp_kses_post( $output_string );
            ?>
        </p>

        </div>          
    </div>
</div></div>
</div>
</div></div>
