<?php
/**
 * Class: TRACKASIAP_Model_Route
 *
 * @author TrackAsia Code <support@trackasia.com>
 * @version 3.0.0
 * @package Maps
 */

if ( ! class_exists( 'TRACKASIAP_Model_Route' ) ) {

	/**
	 * Route model for CRUD operation.
	 *
	 * @package Maps
	 * @author TrackAsia Code <support@trackasia.com>
	 */
	class TRACKASIAP_Model_Route extends FlipperCode_Model_Base {
		/**
		 * Validations on route properies.
		 *
		 * @var array
		 */
		protected $validations;
		/**
		 * Intialize route object.
		 */
		function __construct() {

			$this->validations = array(
				'route_title' => array( 'req' => esc_html__( 'Please enter route title.', 'wp-trackasia-maps' ) ),
			);

			$this->table  = TBL_ROUTES;
			$this->unique = 'route_id';

		}
		/**
		 * Admin menu for CRUD Operation
		 *
		 * @return array Admin menu navigation(s).
		 */
		function navigation() {
			return array(
				// 'trackasia_form_route'   => esc_html__( 'Add Route', 'wp-trackasia-maps' ),
				// 'trackasia_manage_route' => esc_html__( 'Manage Routes', 'wp-trackasia-maps' ),
			);
		}
		

	}
}
